define(["require", "exports", "@fluentui/theme", "./MDL2Styles", "./MDL2Type"], function (require, exports, theme_1, MDL2Styles_1, MDL2Type_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.MDL2Theme = theme_1.createTheme({
        palette: {
            neutralDark: '#212121',
            neutralPrimary: '#333333',
            neutralPrimaryAlt: '#3c3c3c',
            neutralSecondary: '#666666',
            neutralSecondaryAlt: '#767676',
            neutralTertiary: '#a6a6a6',
            neutralTertiaryAlt: '#c8c8c8',
            neutralQuaternary: '#d0d0d0',
            neutralQuaternaryAlt: '#dadada',
            neutralLight: '#eaeaea',
            neutralLighter: '#f4f4f4',
            neutralLighterAlt: '#f8f8f8',
            // Shared Colors
            red: '#e81123',
            redDark: '#a80000',
        },
        semanticColors: {
            buttonBorder: 'transparent',
            buttonBorderDisabled: 'transparent',
        },
        effects: {
            roundedCorner2: '0px',
            elevation4: '0 0 5px 0 rgba(0,0,0,.4)',
            elevation8: '0 0 5px 0 rgba(0,0,0,.4)',
            elevation16: '0 0 5px 0 rgba(0,0,0,.4)',
            elevation64: '0 0 5px 0 rgba(0,0,0,.4)',
        },
        fonts: {
            tiny: {
                fontSize: MDL2Type_1.FontSizes.mini,
                fontWeight: theme_1.FontWeights.semibold,
            },
            xSmall: {
                fontSize: MDL2Type_1.FontSizes.xSmall,
            },
            small: {
                fontSize: MDL2Type_1.FontSizes.small,
            },
            smallPlus: {
                fontSize: MDL2Type_1.FontSizes.smallPlus,
            },
            medium: {
                fontSize: MDL2Type_1.FontSizes.medium,
            },
            mediumPlus: {
                fontSize: MDL2Type_1.FontSizes.mediumPlus,
            },
            large: {
                fontSize: MDL2Type_1.FontSizes.large,
                fontWeight: theme_1.FontWeights.semilight,
            },
            xLarge: {
                fontSize: MDL2Type_1.FontSizes.xLarge,
                fontWeight: theme_1.FontWeights.light,
            },
            xLargePlus: {
                fontSize: MDL2Type_1.FontSizes.xLargePlus,
                fontWeight: theme_1.FontWeights.light,
            },
            xxLarge: {
                fontSize: MDL2Type_1.FontSizes.xxLarge,
                fontWeight: theme_1.FontWeights.light,
            },
            xxLargePlus: {
                fontSize: MDL2Type_1.FontSizes.xxLargePlus,
                fontWeight: theme_1.FontWeights.light,
            },
            superLarge: {
                fontSize: MDL2Type_1.FontSizes.superLarge,
                fontWeight: theme_1.FontWeights.light,
            },
            mega: {
                fontSize: MDL2Type_1.FontSizes.mega,
                fontWeight: theme_1.FontWeights.light,
            },
        },
        components: MDL2Styles_1.MDL2Styles,
    });
    exports.default = exports.MDL2Theme;
});
//# sourceMappingURL=MDL2Theme.js.map