define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.CheckboxStyles = function (props) {
        var disabled = props.disabled, checked = props.checked, theme = props.theme;
        var semanticColors = theme.semanticColors, palette = theme.palette;
        return {
            checkbox: [
                !disabled &&
                    !checked && {
                    borderColor: semanticColors.smallInputBorder,
                },
            ],
            checkmark: {
                // using semanticColor to override original behavior on checked/disabled
                color: semanticColors.inputForegroundChecked,
            },
            root: [
                !disabled && [
                    !checked && {
                        selectors: {
                            ':hover .ms-Checkbox-text': { color: palette.neutralPrimary },
                            ':hover .ms-Checkbox-checkmark': { color: palette.neutralSecondary },
                        },
                    },
                    checked && {
                        selectors: {
                            ':hover .ms-Checkbox-checkbox': {
                                background: palette.themeDarkAlt,
                                borderColor: palette.themeDarkAlt,
                            },
                            ':focus .ms-Checkbox-checkbox': {
                                background: palette.themeDarkAlt,
                                borderColor: palette.themeDarkAlt,
                            },
                        },
                    },
                ],
            ],
        };
    };
});
//# sourceMappingURL=Checkbox.styles.js.map