define(["require", "exports", "tslib", "office-ui-fabric-react/lib/Styling", "office-ui-fabric-react/lib/Utilities"], function (require, exports, tslib_1, Styling_1, Utilities_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.CompoundButtonStyles = function (props) {
        var _a;
        var theme = props.theme;
        if (!theme) {
            throw new Error('Theme is undefined or null.');
        }
        var palette = theme.palette;
        return {
            root: {
                backgroundColor: palette.neutralLighter,
                border: '1px solid transparent',
                padding: '20px',
                // Primary styles require targeting a selector for now.
                // @todo: These selectors override the focus style above. Need to fix this.
                selectors: {
                    '&.ms-Button--compoundPrimary': tslib_1.__assign(tslib_1.__assign({ backgroundColor: palette.themePrimary, borderColor: palette.themePrimary }, Styling_1.getFocusStyle(theme, { inset: -1, borderColor: palette.white })), { selectors: (_a = {},
                            _a["." + Utilities_1.IsFocusVisibleClassName + " &:focus"] = {
                                selectors: {
                                    ':after': {
                                        outlineColor: palette.neutralSecondary,
                                    },
                                },
                            },
                            _a) }),
                    '&.ms-Button--compound': tslib_1.__assign({}, Styling_1.getFocusStyle(theme, { inset: -1, borderColor: palette.white })),
                },
            },
            rootHovered: {
                backgroundColor: palette.neutralLight,
                // Primary styles require targeting a selector for now.
                selectors: {
                    '&.ms-Button--compoundPrimary:hover': {
                        backgroundColor: palette.themeDarkAlt,
                        borderColor: palette.themeDarkAlt,
                    },
                },
            },
            rootPressed: {
                backgroundColor: palette.neutralTertiaryAlt,
                // Primary styles require targeting a selector for now.
                selectors: {
                    '&.ms-Button--compoundPrimary:active': {
                        backgroundColor: palette.themeDark,
                        borderColor: palette.themeDark,
                    },
                },
            },
            rootChecked: {
                backgroundColor: palette.neutralTertiaryAlt,
                // Primary styles require targeting a selector for now.
                selectors: {
                    '&.ms-Button--compoundPrimary': {
                        backgroundColor: palette.themeDark,
                        borderColor: palette.themeDark,
                    },
                },
            },
            rootDisabled: {
                borderColor: palette.neutralLighter,
                // Primary styles require targeting a selector for now.
                selectors: {
                    '&.ms-Button--compoundPrimary': {
                        backgroundColor: palette.neutralLighter,
                        borderColor: palette.neutralLighter,
                    },
                },
            },
        };
    };
});
//# sourceMappingURL=CompoundButton.styles.js.map