define(["require", "exports", "tslib", "office-ui-fabric-react/lib/Styling", "office-ui-fabric-react/lib/Utilities"], function (require, exports, tslib_1, Styling_1, Utilities_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.DefaultButtonStyles = function (props) {
        var _a;
        var theme = props.theme;
        if (!theme) {
            throw new Error('Theme is undefined or null.');
        }
        var palette = theme.palette;
        return {
            root: tslib_1.__assign({ backgroundColor: palette.neutralLighter, border: '1px solid transparent' }, Styling_1.getFocusStyle(theme, { inset: -1, borderColor: palette.white })),
            rootHovered: {
                backgroundColor: palette.neutralLight,
                selectors: {
                    '.ms-Button--primary': {
                        backgroundColor: palette.themeDarkAlt,
                    },
                },
            },
            rootPressed: {
                backgroundColor: palette.neutralTertiaryAlt,
            },
            rootExpanded: {
                backgroundColor: palette.neutralTertiaryAlt,
            },
            rootChecked: {
                backgroundColor: palette.neutralTertiaryAlt,
            },
            rootDisabled: {
                backgroundColor: palette.neutralLighter,
                borderColor: 'transparent',
            },
            splitButtonMenuButton: {
                backgroundColor: palette.neutralLighter,
                border: '1px solid transparent',
            },
            splitButtonContainer: {
                selectors: (_a = {
                        '.ms-Button--primary': {
                            backgroundColor: palette.themePrimary,
                            selectors: {
                                ':hover': {
                                    background: palette.themeDarkAlt,
                                },
                            },
                        },
                        '.ms-Button--primary + .ms-Button': {
                            backgroundColor: palette.themePrimary,
                            selectors: {
                                ':hover': {
                                    background: palette.themeDarkAlt,
                                },
                            },
                        },
                        '.ms-Button.is-disabled': {
                            backgroundColor: palette.neutralLighter,
                        },
                        '.ms-Button.is-disabled + .ms-Button.is-disabled': {
                            backgroundColor: palette.neutralLighter,
                            border: 'none',
                        }
                    },
                    _a["." + Utilities_1.IsFocusVisibleClassName + " &:focus"] = {
                        selectors: {
                            ':after': {
                                left: 1,
                                right: 1,
                                bottom: 1,
                                top: 1,
                            },
                        },
                    },
                    _a),
            },
        };
    };
});
//# sourceMappingURL=DefaultButton.styles.js.map