define(["require", "exports", "office-ui-fabric-react/lib/Styling"], function (require, exports, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.DialogContentStyles = function (props) {
        var theme = props.theme, isMultiline = props.isMultiline, isLargeHeader = props.isLargeHeader;
        var palette = theme.palette, fonts = theme.fonts;
        return {
            title: [
                fonts.xLarge,
                {
                    padding: '20px 36px 20px 28px',
                },
                isLargeHeader && [
                    fonts.xxLarge,
                    {
                        padding: '26px 28px 28px',
                    },
                ],
            ],
            topButton: {
                padding: '12px 12px 0 0',
                selectors: {
                    '.ms-Dialog-button': {
                        color: palette.neutralSecondary,
                    },
                    '.ms-Dialog-button:hover': {
                        color: palette.neutralDark,
                    },
                },
            },
            inner: {
                padding: isMultiline ? '0 20px 20px' : '0 28px 20px',
            },
            subText: {
                fontWeight: Styling_1.FontWeights.semilight,
            },
        };
    };
    exports.DialogFooterStyles = {
        actions: {
            margin: '20px 0 0',
        },
    };
});
//# sourceMappingURL=Dialog.styles.js.map