define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.NavStyles = function (props) {
        var theme = props.theme, isDisabled = props.isDisabled, isSelected = props.isSelected, isGroup = props.isGroup, isLink = props.isLink, _a = props.navHeight, navHeight = _a === void 0 ? 36 : _a;
        var palette = theme.palette;
        return {
            link: [
                {
                    height: navHeight,
                    lineHeight: navHeight + "px",
                },
                !isDisabled && {
                    selectors: {
                        '.ms-Nav-compositeLink:hover &': {
                            backgroundColor: palette.neutralLighterAlt,
                        },
                    },
                },
                isSelected && {
                    backgroundColor: palette.neutralLighter,
                },
            ],
            chevronButton: [
                {
                    lineHeight: navHeight + "px",
                    selectors: {
                        '&:hover': {
                            backgroundColor: palette.neutralLighterAlt,
                        },
                        '$compositeLink:hover &': {
                            backgroundColor: palette.neutralLighterAlt,
                        },
                    },
                },
                isGroup && {
                    height: navHeight,
                },
                isLink && {
                    height: navHeight - 2,
                },
            ],
            chevronIcon: {
                height: navHeight,
                lineHeight: navHeight + "px",
            },
        };
    };
});
//# sourceMappingURL=Nav.styles.js.map