define(["require", "exports", "office-ui-fabric-react/lib/Styling"], function (require, exports, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.PivotStyles = function (props) {
        var theme = props.theme, rootIsTabs = props.rootIsTabs;
        var palette = theme.palette;
        return {
            link: [
                !rootIsTabs && {
                    height: 40,
                    lineHeight: 40,
                    selectors: {
                        ':hover': {
                            backgroundColor: 'transparent',
                            color: palette.neutralDark,
                        },
                        ':active': {
                            backgroundColor: 'transparent',
                        },
                    },
                },
            ],
            linkIsSelected: [
                !rootIsTabs && {
                    height: 40,
                    lineHeight: 40,
                    selectors: {
                        ':hover': {
                            backgroundColor: 'transparent',
                        },
                        ':active': {
                            backgroundColor: 'transparent',
                        },
                        ':before': {
                            transition: "left " + Styling_1.AnimationVariables.durationValue2 + " " + Styling_1.AnimationVariables.easeFunction2 + ",\n                        right " + Styling_1.AnimationVariables.durationValue2 + " " + Styling_1.AnimationVariables.easeFunction2,
                        },
                        ':hover::before': {
                            left: 8,
                            right: 8,
                        },
                    },
                },
            ],
        };
    };
});
//# sourceMappingURL=Pivot.styles.js.map