define(["require", "exports", "office-ui-fabric-react/lib/Styling"], function (require, exports, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.ToggleStyles = function (props) {
        var disabled = props.disabled, checked = props.checked, theme = props.theme;
        var palette = theme.palette;
        return {
            pill: [
                {
                    width: '2.2em',
                    height: '1em',
                    borderRadius: '1em',
                    padding: '0 .2em',
                },
                !disabled && [
                    checked && {
                        selectors: {
                            ':hover': [
                                {
                                    backgroundColor: palette.themeDarkAlt,
                                },
                            ],
                        },
                    },
                ],
            ],
            thumb: [
                {
                    width: '.5em',
                    height: '.5em',
                    borderRadius: '.5em',
                },
                !disabled &&
                    !checked && {
                    backgroundColor: palette.neutralDark,
                },
            ],
            text: {
                selectors: {
                    '&.ms-Toggle-stateText': {
                        fontWeight: Styling_1.FontWeights.regular,
                    },
                },
            },
        };
    };
});
//# sourceMappingURL=Toggle.styles.js.map