"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Styling_1 = require("office-ui-fabric-react/lib-commonjs/Styling");
var styleConstants_1 = require("./styleConstants");
exports.BreadcrumbStyles = function (props) {
    var _a;
    var theme = props.theme;
    var palette = theme.palette, fonts = theme.fonts;
    var stateSelectors = {
        ':hover': {
            backgroundColor: palette.neutralLighter,
            textDecoration: 'none',
        },
        ':active': {
            backgroundColor: palette.neutralTertiaryAlt,
            textDecoration: 'none',
        },
        '&:active:hover': {
            backgroundColor: palette.neutralQuaternary,
            textDecoration: 'none',
        },
    };
    var itemStyle = {
        lineHeight: 'normal',
        fontSize: fonts.xLarge.fontSize,
        outline: 'none',
        fontWeight: Styling_1.FontWeights.light,
        color: palette.neutralPrimary,
        selectors: tslib_1.__assign((_a = { '.ms-Fabric--isFocusVisible &:focus': {
                    // Necessary due to changes of Link component not using getFocusStyle.
                    outline: 'none',
                } }, _a[styleConstants_1.MediumScreenSelector] = {
            fontSize: fonts.xLarge.fontSize,
            fontWeight: Styling_1.FontWeights.regular,
            lineHeight: 'normal',
        }, _a[styleConstants_1.MinimumScreenSelector] = {
            fontSize: fonts.xLarge.fontSize,
            fontWeight: Styling_1.FontWeights.regular,
            lineHeight: 'normal',
        }, _a), stateSelectors),
    };
    var lastChildItem = {
        fontWeight: Styling_1.FontWeights.light,
        color: palette.neutralPrimary,
    };
    return {
        root: {
            marginTop: 23,
        },
        itemLink: itemStyle,
        item: itemStyle,
        listItem: {
            selectors: {
                '&:last-child .ms-Breadcrumb-itemLink': lastChildItem,
                '&:last-child .ms-Breadcrumb-item': lastChildItem,
            },
        },
        overflowButton: {
            color: palette.neutralSecondary,
            selectors: tslib_1.__assign({}, stateSelectors),
        },
    };
};
//# sourceMappingURL=Breadcrumb.styles.js.map