"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Styling_1 = require("office-ui-fabric-react/lib-commonjs/Styling");
exports.CommandBarButtonStyles = function (props) {
    var theme = props.theme;
    if (!theme) {
        throw new Error('Theme is undefined or null.');
    }
    var palette = theme.palette;
    return {
        root: tslib_1.__assign({ backgroundColor: palette.neutralLighter }, Styling_1.getFocusStyle(theme, { inset: 0 })),
        rootHovered: {
            backgroundColor: palette.neutralLight,
        },
        rootPressed: {
            backgroundColor: palette.neutralQuaternaryAlt,
        },
        rootExpanded: {
            backgroundColor: palette.neutralQuaternaryAlt,
        },
        rootChecked: {
            backgroundColor: palette.neutralQuaternaryAlt,
        },
        rootCheckedHovered: {
            backgroundColor: palette.neutralQuaternaryAlt,
        },
        rootDisabled: {
            backgroundColor: palette.neutralLighter,
        },
        splitButtonMenuButton: {
            backgroundColor: palette.neutralLighter,
            selectors: {
                ':hover': {
                    backgroundColor: palette.neutralLight,
                },
            },
        },
        splitButtonMenuButtonChecked: {
            backgroundColor: palette.neutralQuaternaryAlt,
        },
        splitButtonMenuButtonExpanded: {
            backgroundColor: palette.neutralQuaternaryAlt,
        },
        splitButtonMenuButtonDisabled: {
            backgroundColor: palette.neutralLighter,
        },
    };
};
//# sourceMappingURL=CommandBarButton.styles.js.map