"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Persona_1 = require("office-ui-fabric-react/lib-commonjs/Persona");
var Styling_1 = require("office-ui-fabric-react/lib-commonjs/Styling");
exports.PersonaStyles = function (props) {
    var size = Persona_1.sizeBoolean(props.size);
    var fonts = props.theme.fonts;
    return {
        primaryText: [
            {
                fontSize: fonts.large.fontSize,
            },
            (size.isSize16 || size.isSize24 || size.isSize28 || size.isSize32 || size.isSize40) && {
                fontSize: fonts.medium.fontSize,
            },
            size.isSize72 && {
                fontSize: fonts.xLarge.fontSize,
            },
            size.isSize100 && {
                fontSize: fonts.xLarge.fontSize,
                fontWeight: Styling_1.FontWeights.semilight,
            },
        ],
        tertiaryText: {
            fontSize: fonts.small.fontSize,
        },
        optionalText: {
            fontSize: fonts.small.fontSize,
        },
    };
};
exports.PersonaCoinStyles = {
    initials: {
        fontWeight: Styling_1.FontWeights.regular,
        selectors: {
            i: {
                fontWeight: Styling_1.FontWeights.regular,
            },
        },
    },
};
//# sourceMappingURL=Persona.styles.js.map