"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Styling_1 = require("office-ui-fabric-react/lib-commonjs/Styling");
exports.TeachingBubbleStyles = function (props) {
    var hasCondensedHeadline = props.hasCondensedHeadline, hasSmallHeadline = props.hasSmallHeadline, theme = props.theme;
    var palette = theme.palette, fonts = theme.fonts;
    var headlineSize = fonts.medium.fontSize;
    var headlineWeight = Styling_1.FontWeights.semibold;
    if (!hasCondensedHeadline && !hasSmallHeadline) {
        headlineSize = fonts.xxLarge.fontSize;
        headlineWeight = Styling_1.FontWeights.light;
    }
    return {
        headline: {
            fontSize: headlineSize,
            fontWeight: headlineWeight,
        },
        footer: {
            selectors: {
                '.ms-Button:not(:first-child)': {
                    marginLeft: 20,
                },
            },
        },
        closeButton: {
            backgroundColor: 'transparent',
            selectors: {
                '&:hover': {
                    backgroundColor: palette.themePrimary,
                    color: palette.black,
                },
                '&:active': {
                    background: palette.themeDarkAlt,
                    color: palette.black,
                },
            },
        },
    };
};
//# sourceMappingURL=TeachingBubble.styles.js.map