import { __assign } from "tslib";
import { FontWeights } from 'office-ui-fabric-react/lib/Styling';
import { MediumScreenSelector, MinimumScreenSelector } from './styleConstants';
export var BreadcrumbStyles = function (props) {
    var _a;
    var theme = props.theme;
    var palette = theme.palette, fonts = theme.fonts;
    var stateSelectors = {
        ':hover': {
            backgroundColor: palette.neutralLighter,
            textDecoration: 'none',
        },
        ':active': {
            backgroundColor: palette.neutralTertiaryAlt,
            textDecoration: 'none',
        },
        '&:active:hover': {
            backgroundColor: palette.neutralQuaternary,
            textDecoration: 'none',
        },
    };
    var itemStyle = {
        lineHeight: 'normal',
        fontSize: fonts.xLarge.fontSize,
        outline: 'none',
        fontWeight: FontWeights.light,
        color: palette.neutralPrimary,
        selectors: __assign((_a = { '.ms-Fabric--isFocusVisible &:focus': {
                    // Necessary due to changes of Link component not using getFocusStyle.
                    outline: 'none',
                } }, _a[MediumScreenSelector] = {
            fontSize: fonts.xLarge.fontSize,
            fontWeight: FontWeights.regular,
            lineHeight: 'normal',
        }, _a[MinimumScreenSelector] = {
            fontSize: fonts.xLarge.fontSize,
            fontWeight: FontWeights.regular,
            lineHeight: 'normal',
        }, _a), stateSelectors),
    };
    var lastChildItem = {
        fontWeight: FontWeights.light,
        color: palette.neutralPrimary,
    };
    return {
        root: {
            marginTop: 23,
        },
        itemLink: itemStyle,
        item: itemStyle,
        listItem: {
            selectors: {
                '&:last-child .ms-Breadcrumb-itemLink': lastChildItem,
                '&:last-child .ms-Breadcrumb-item': lastChildItem,
            },
        },
        overflowButton: {
            color: palette.neutralSecondary,
            selectors: __assign({}, stateSelectors),
        },
    };
};
//# sourceMappingURL=Breadcrumb.styles.js.map