import { __assign } from "tslib";
import { getFocusStyle } from 'office-ui-fabric-react/lib/Styling';
import { IsFocusVisibleClassName } from 'office-ui-fabric-react/lib/Utilities';
export var CompoundButtonStyles = function (props) {
    var _a;
    var theme = props.theme;
    if (!theme) {
        throw new Error('Theme is undefined or null.');
    }
    var palette = theme.palette;
    return {
        root: {
            backgroundColor: palette.neutralLighter,
            border: '1px solid transparent',
            padding: '20px',
            // Primary styles require targeting a selector for now.
            // @todo: These selectors override the focus style above. Need to fix this.
            selectors: {
                '&.ms-Button--compoundPrimary': __assign(__assign({ backgroundColor: palette.themePrimary, borderColor: palette.themePrimary }, getFocusStyle(theme, { inset: -1, borderColor: palette.white })), { selectors: (_a = {},
                        _a["." + IsFocusVisibleClassName + " &:focus"] = {
                            selectors: {
                                ':after': {
                                    outlineColor: palette.neutralSecondary,
                                },
                            },
                        },
                        _a) }),
                '&.ms-Button--compound': __assign({}, getFocusStyle(theme, { inset: -1, borderColor: palette.white })),
            },
        },
        rootHovered: {
            backgroundColor: palette.neutralLight,
            // Primary styles require targeting a selector for now.
            selectors: {
                '&.ms-Button--compoundPrimary:hover': {
                    backgroundColor: palette.themeDarkAlt,
                    borderColor: palette.themeDarkAlt,
                },
            },
        },
        rootPressed: {
            backgroundColor: palette.neutralTertiaryAlt,
            // Primary styles require targeting a selector for now.
            selectors: {
                '&.ms-Button--compoundPrimary:active': {
                    backgroundColor: palette.themeDark,
                    borderColor: palette.themeDark,
                },
            },
        },
        rootChecked: {
            backgroundColor: palette.neutralTertiaryAlt,
            // Primary styles require targeting a selector for now.
            selectors: {
                '&.ms-Button--compoundPrimary': {
                    backgroundColor: palette.themeDark,
                    borderColor: palette.themeDark,
                },
            },
        },
        rootDisabled: {
            borderColor: palette.neutralLighter,
            // Primary styles require targeting a selector for now.
            selectors: {
                '&.ms-Button--compoundPrimary': {
                    backgroundColor: palette.neutralLighter,
                    borderColor: palette.neutralLighter,
                },
            },
        },
    };
};
//# sourceMappingURL=CompoundButton.styles.js.map