import { FontWeights } from 'office-ui-fabric-react/lib/Styling';
export var ToggleStyles = function (props) {
    var disabled = props.disabled, checked = props.checked, theme = props.theme;
    var palette = theme.palette;
    return {
        pill: [
            {
                width: '2.2em',
                height: '1em',
                borderRadius: '1em',
                padding: '0 .2em',
            },
            !disabled && [
                checked && {
                    selectors: {
                        ':hover': [
                            {
                                backgroundColor: palette.themeDarkAlt,
                            },
                        ],
                    },
                },
            ],
        ],
        thumb: [
            {
                width: '.5em',
                height: '.5em',
                borderRadius: '.5em',
            },
            !disabled &&
                !checked && {
                backgroundColor: palette.neutralDark,
            },
        ],
        text: {
            selectors: {
                '&.ms-Toggle-stateText': {
                    fontWeight: FontWeights.regular,
                },
            },
        },
    };
};
//# sourceMappingURL=Toggle.styles.js.map